Subject: Implement a "Controller Context"
Description

We need a new class "ControllerContext" which contains contextual information about a controller:

    -  the request object
    -  the response object
    -  arguments
    -  argumentsMappingResults
    -  the URI Builder instance

The ControllerContext is a property of the AbstractController.

ActionController->initializeView() should inject the ControllerContext into the view. The request should not be injected anymore
(therefore the view needs to be refactored).

Associated revisions
Revision c3377e03 - 2009-05-15 18:53 - Christopher Hlubek

Fixes #3302: implementing a Controller Context except for adding the URIhelper

History
#1 - 2009-05-14 16:45 - Robert Lemke

Also remove $packageKey from AbstractConctroller - use $request->getControllerPackageKey instead.

#2 - 2009-05-14 18:48 - Christopher Hlubek
- Assigned To changed from Sebastian Kurfuerst to Christopher Hlubek

#3 - 2009-05-15 19:00 - Christopher Hlubek
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2225.
